toolzerhub API Docs

List subreddit post channels

Returns post channels and topics for required subreddit_name. Optional sort and range control results.

2 credits / requestBilled only on success
GET
/v2/reddit/subreddit/post-channels

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

subreddit_name*string

Subreddit name without the r/ prefix.

Length1 <= length
sort?string

Sort order for the subreddit's post channels.

Value in

  • "HOT"
  • "NEW"
  • "TOP"
  • "CONTROVERSIAL"
  • "RISING"
range?string

Time range for the subreddit's post channels.

Value in

  • "HOUR"
  • "DAY"
  • "WEEK"
  • "MONTH"
  • "YEAR"
  • "ALL"
curl -X GET "https://example.com/v2/reddit/subreddit/post-channels?subreddit_name=pics" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  }}